Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List Multipart Uploads

GET
/storage/v1/workspaces/{workspace}/engines/{engine}/buckets/{bucket}/multipart-uploads
curl --request GET \
--url https://example.com/storage/v1/workspaces/example/engines/example/buckets/example/multipart-uploads

Lists in-progress multipart uploads for a bucket.

workspace
required
string

The workspace the bucket belongs to

engine
required
string

The cloud provider: qibdo, aws, gcp, or azure, or ’-’ to list across all providers

bucket
required
string

The bucket to list multipart uploads for

prefix
string

Filter by object key prefix. Retained as a dedicated field because key prefix matching is a fundamental server-side optimization that cannot be expressed in AIP-160 filter syntax without losing performance.

page_size
integer format: int32

Maximum uploads per page. The service may return fewer than this value. If unspecified, at most 20 uploads will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string

A page token, received from a previous ListMultipartUploads call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListMultipartUploads must match the call that provided the page token.

filter
string

AIP-160 filter expression

order_by
string

AIP-132 order_by expression

OK

Media type application/json

ListMultipartUploadsResponse

Response message for ListMultipartUploads. Note: This API intentionally omits total_size from list responses. Keyset pagination does not support efficient total count computation (COUNT(*) requires a full table scan). Per AIP-158, total_size is optional.

object
uploads

The list of in-progress multipart uploads

Array<object>

Information about an in-progress multipart upload.

object
upload_id

The upload ID

string
object_key

The object key being uploaded

string
initiated

When the upload was initiated

string format: date-time Output only
engine

The cloud provider this upload is running on.

string format: enum Output only
Allowed values: ENGINE_UNSPECIFIED ENGINE_QIBDO ENGINE_AWS ENGINE_GCP ENGINE_AZURE
next_page_token

A token, which can be sent as page_token to retrieve the next page. If this field is empty, there are no subsequent pages.

string
Example
{
"uploads": [
{
"engine": "ENGINE_UNSPECIFIED"
}
]
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}